Commit a477313f authored by Ricki Hirner's avatar Ricki Hirner

Update Kotlin, dokka, gradle plugin, build tools, target SDK

parent cc71df5e
Pipeline #28430330 passed with stages
in 11 minutes and 25 seconds
...@@ -9,8 +9,6 @@ cache: ...@@ -9,8 +9,6 @@ cache:
test: test:
script: script:
#- (cd /sdk/emulator; ./emulator @test -no-audio -no-window & wait-for-emulator.sh)
#- ./gradlew check connectedCheck
- ./gradlew check - ./gradlew check
artifacts: artifacts:
paths: paths:
......
buildscript { buildscript {
ext.kotlin_version = '1.2.51' ext.kotlin_version = '1.2.61'
ext.dokka_version = '0.9.16' ext.dokka_version = '0.9.17'
repositories { repositories {
jcenter() jcenter()
...@@ -9,7 +9,7 @@ buildscript { ...@@ -9,7 +9,7 @@ buildscript {
} }
dependencies { dependencies {
classpath 'com.android.tools.build:gradle:3.1.3' classpath 'com.android.tools.build:gradle:3.1.4'
classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version" classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
classpath "org.jetbrains.dokka:dokka-android-gradle-plugin:${dokka_version}" classpath "org.jetbrains.dokka:dokka-android-gradle-plugin:${dokka_version}"
} }
...@@ -29,13 +29,13 @@ ext { ...@@ -29,13 +29,13 @@ ext {
} }
android { android {
compileSdkVersion 27 compileSdkVersion 28
buildToolsVersion '28.0.1' buildToolsVersion '28.0.2'
defaultConfig { defaultConfig {
//noinspection MinSdkTooLow //noinspection MinSdkTooLow
minSdkVersion 9 // Android 2.3 minSdkVersion 9 // Android 2.3
targetSdkVersion 27 targetSdkVersion 28
buildConfigField "String", "version_okhttp", "\"$okhttp_version\"" buildConfigField "String", "version_okhttp", "\"$okhttp_version\""
} }
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment